$(document).ready(function() {
	$("#newPresentation").click(function() {
		$.fancybox({
			padding: 0,
			href: serverName + '?page=presentations&cl=newPresentation'
		});
	});

	$("#openPresentation").click(function() {
		$.fancybox({
			padding: 0,
			href: serverName + '?page=presentations&cl=openListOfPresentations'
		});
		$(".tooltip").hide();
	});

	$("#saveAsPresentation").click(function() {
		$.fancybox({
			padding: 0,
			href: serverName + '?page=presentations&cl=openSaveAs'
		});
		$(".tooltip").hide();
	});

	$("#exportPresentation").click(function() {
		customAlert("Jeszcze nie dopasowane.");
		// customAlert("Poczekaj na wygenerowanie pliku.");
		// document.location = serverName+'/index.php/playerExport/index/id/'+project;
		// document.location = serverName + '?page=presentations&action=export&id=' + project;
		// $(".tooltip").hide();
	});
	/*
	$("#exportScorm").click(function(){
		customAlert("Poczekaj na wygenerowanie pliku.");
		document.location = serverName + '?page=presentations&action=scorm&id=' + project;
		$(".tooltip").hide();
	});
	*/

	$('#exportToLesson').click(function() {
		$.fancybox({
			padding: 0,
			href: serverName + '?page=presentations&cl=createLessonParams'
		});
	});

	$('#infoPresentation').click(function() {
		$.fancybox({
			padding: 0,
			href: serverName + '?page=presentations&cl=getInfo'
		});
		$(".tooltip").hide();
	});

	$('#setPublic').click(function() {
		$.fancybox({
			padding: 0,
			href: serverName + '?page=presentations&cl=getInfo&set=public'
		});
		$(".tooltip").hide();
	});

	$("#print").click(function() {
		customAlert("Jeszcze nie dopasowane.");
		return;
		$.fancybox({
			padding: 0,
			href: serverName + '?page=presentations&cl=printPrepare&id=' + project
		});
		$(".tooltip").hide();
	});

	$("#pdf").click(cmdFilePdf);

	$("#closeApp").click(function() {
		document.location = serverName + '?mod=panel';
	});

	shortcut.add("Ctrl+N", function() {
		$("#newPresentation").click();
	}, {
		disable_in_input: true
	});

	shortcut.add("Ctrl+O", function() {
		$("#openPresentation").click();
	}, {
		disable_in_input: true
	});

	shortcut.add("Ctrl+P", function() {
		$("#print").click();
	}, {
		disable_in_input: true
	});

	shortcut.add("Ctrl+S", function() {
		$("#saveAsPresentation").click()
	}, {
		disable_in_input: true
	});
});

/**
 * newPresentationStep2
 * @param {type} title
 * @param {type} description
 * @param {type} tags
 * @param {type} subject
 * @returns {undefined}
 */
function newPresentationStep2(title, description, tags, subject) {
	if(title == '') {
		customAlert("Proszę uzupełnić pole 'Nazwa'!");
	} else if(subject == '' || subject == '0' || subject == 0) {
		customAlert("Proszę wybrać 'Przedmiot'!");
	} else {
		$.fancybox({
			padding: 0,
			href: serverName + '?page=presentations&cl=template&new=1',
			onComplete: function() {
				$('#title').val(title);
				$('#description').val(description);
				$('#tags').val(tags);
				$('#subject').val(subject);
			}
		});
	}
}

/**
 * Create new presentation
 * @param {type} title
 * @param {type} description
 * @param {type} tagsx
 * @param {type} bg
 * @param {type} ffamily
 * @param {type} fsize
 * @param {type} subject
 * @returns {undefined}
 */
function sendNewPresentation(title, description, tagsx, bg, ffamily, fsize, subject) {
	if(title == "") {
		customAlert("Proszę uzupełnić pole nazwa!");
	} else {
		waitingOverlay('on');

		$.ajax({
			type: 'POST',
			url: serverName + '?page=presentations&cl=addNewPresentation',
			data: {
				title: title,
				description: description,
				tags: tagsx,
				bgimg: bg,
				ffamily: ffamily,
				fsize: fsize,
				subject: subject
			},
			success: function(response) {
				if(response.success === true) {
					window.location.href = serverName + '?page=presentations&id=' + response.pid;
				}
				return;
			}
		});
	}
}

/**
 * saveNewLayout
 * @param {type} bg
 * @param {type} ffamily
 * @param {type} fsize
 * @returns {undefined}
 */
function saveNewLayout(bg, ffamily, fsize) {
	waitingOverlay('on');

	$.ajax({
		type: 'POST',
		url: serverName + '?page=presentations&cl=saveLayout',
		data: {
			bgimg: bg,
			ffamily: ffamily,
			fsize: fsize
		},
		success: function(response) {
			if(response.success === true) {
				var bgimg = document.getElementById('bgimg');
				bgimg.setAttribute('xlink:href', response.html);
				saveSvg();
			}

			waitingOverlay('off');
			$.fancybox.close();
			return;
		}
	});
}

/* 
     * Change presentation from list of users presentations 
     */
/*
function sendOpenPresentation(pId) {
    waitingOverlay('on');
    $.ajax({
        type: 'POST',
        url: "index.php/presentation/openPresentation",
        data: {
            pId: pId
        },
        success: function() {
            waitingOverlay('off');
            window.location.reload();
        }
    });
}
*/
/**
 * Zapisywanie bierzącego stanu prac w prezentacji jako nowej prezentacji
 * @param {type} title
 * @param {type} desc
 * @param {type} tags
 * @param {type} subjectid
 * @returns {undefined}
 */
function saveAsNewPresentation(title, desc, tags, subjectid) {
	if(title == "") {
		customAlert("Proszę uzupełnić pole 'Nazwa'!");
	} else if(subjectid == "" || subjectid == "0" || subjectid == 0) {
		customAlert("Proszę wybrać 'Przedmiot'!");
	} else {
		waitingOverlay('on');
		$.ajax({
			type: 'POST',
			url: serverName + '?page=presentations&cl=saveAs',
			data: {
				title: title,
				desc: desc,
				tags: tags,
				subjectid: subjectid
			},
			success: function(response) {
				if(response.success === true) {
					window.location.href = serverName + '?page=presentations&id=' + response.pid;
				}
				return;
			}
		});
	}
}

/*
function cmdFileSave(){
    window.open(serverName+'/customers/edukator/web/presentation/data/presentation.zip');
}
*/
function cmdFilePdf(){
	customAlert("Jeszcze nie dopasowane.");
	return;
	window.open(serverName + '?page=print&cl=presentation&format=11&&id=' + project);
}